Foreman - Feature #6098

When adding Amis to the EC2 compute resource | would like to be told if | typed in a bad ami
06/06/2014 05:12 PM - Bryan Kearney

Status: Closed
Priority: Normal
Assignee: Tom Caspy
Category: Compute resources - EC2
Target version: 1.8.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1105671 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2093
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1105671

| created a compute resource in Foreman 1.5+. It was EC2, US-east. | then added an ami which was in oregon. This caused my
provisioning to fail. | would have liked a screen to tell me that the ami could not be seen. Barring that, | would like to see a "validate
this" button which checks that the amis are visible.

Related issues:
Related to Foreman - Feature #3118: EC2 compute resource could show available... New 09/19/2013

Associated revisions

Revision 4cbb4a26 - 01/20/2015 06:50 AM - Tom Caspy

fixes #6098 - ec2 compute resources now check image validity.

History

#1 - 06/06/2014 05:13 PM - Dominic Cleal
- Tracker changed from Bug to Feature

- Subject changed from [RFE] When adding Amis to the EC2 compute resource | would like to be told if | typed in a bad ami to When adding Amis to
the EC2 compute resource | would like to be told if | typed in a bad ami

- Category set to Compute resources

#2 - 09/26/2014 07:13 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - EC2

#3 - 09/26/2014 07:15 AM - Dominic Cleal

- Related to Feature #3118: EC2 compute resource could show available AMI images added

#4 - 01/19/2015 05:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2093 added

#5 - 01/19/2015 05:14 AM - Tom Caspy

- Assignee set to Tom Caspy

#6 - 01/20/2015 06:51 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#7 - 01/20/2015 07:01 AM - Tom Caspy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
Applied in changeset 4cbb4a263e4e126a1395d5d5ac14666fefa40b2.
